Instalar whisker menu no Debian (wheezy) [RESOLVIDO]

1. Instalar whisker menu no Debian (wheezy) [RESOLVIDO]

Emilio
Emilio Araujo

(usa Debian)

Enviado em 14/01/2016 - 17:19h

Não consigo instalar whisker menu no debian 7.8 (wheezy) com xfce

Pelo que vi, só tem suporte para 8.0 (Jessie):

https://packages.debian.org/jessie/xfce4-whiskermenu-plugin


Alguém pode me dar uma ajuda por favor?


  


2. MELHOR RESPOSTA

edps
edps

(usa Slackware)

Enviado em 15/01/2016 - 17:38h

Emilio Araujo escreveu:

Não consigo instalar whisker menu no debian 7.8 (wheezy) com xfce

Pelo que vi, só tem suporte para 8.0 (Jessie):

https://packages.debian.org/jessie/xfce4-whiskermenu-plugin

Alguém pode me dar uma ajuda por favor?


Nesse não rola devido a versão da libc, que no Wheezy é a 2.13:

https://packages.debian.org/wheezy/libc6

O que você pode fazer é alterar (ou adicionar) o source.list para a release jessie, rodar:

# apt-get update
# apt-get install xfce4-whiskermenu-plugin


Que irá atualizar uma série de pacotes, depois você volta o sources.list ao seu estado original, isto é, com a release wheezy como padrão.

+

Seguindo a dica: https://www.vivaolinux.com.br/dica/Debian-Xfce-elegante-com-Whisker-Menu

Cujos links morreram, encontrei outros, o que você pode fazer é tentar instalar o pacote abaixo:

http://download.opensuse.org/repositories/home:/gottcode/Debian_8.0/amd64/xfce4-whiskermenu-plugin_1...

ou

http://download.opensuse.org/repositories/home:/gottcode/Debian_8.0/i386/xfce4-whiskermenu-plugin_1....

E ver se funciona.

Andem zoiando o arquivo control dele e o mesmo pede o seguinte:

Depends: libc6 (>= 2.4), libcairo2 (>= 1.2.4), libexo-1-0 (>= 0.5.0), libgarcon-1-0 (>= 0.1.2), libgcc1 (>= 1:4.1.1), libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.35.9), libgtk2.0-0 (>= 2.24.0), libstdc++6 (>= 4.9), libxfce4ui-1-0 (>= 4.9.0), libxfce4util6 (>= 4.9.0), xfce4-panel (>= 4.9.2), xfce4-panel (<< 4.11) 


Então, acho que somente quem usa XFCE 4.12 conseguirá instalá-lo.



3. Re: Instalar whisker menu no Debian (wheezy) [RESOLVIDO]

Lucas Alves Santos
Lwkas

(usa XUbuntu)

Enviado em 14/01/2016 - 17:25h

Seria interessante você aproveitar o problema de suporte e migrar para o Debian 8


4. Re: Instalar whisker menu no Debian (wheezy) [RESOLVIDO]

5. Instalar whisker menu no Debian (wheezy)

Emilio
Emilio Araujo

(usa Debian)

Enviado em 14/01/2016 - 17:47h

Amigo Lwkas

Trata-se de um parque de 180 máquinas e demandaria mto tempo para atualizar em todos, fora bugs inesperados.
mas vlw a ajuda.


6. Re: Instalar whisker menu no Debian (wheezy) [RESOLVIDO]

Lucas Alves Santos
Lwkas

(usa XUbuntu)

Enviado em 14/01/2016 - 17:54h

Emilio Araujo escreveu:

Amigo Lwkas

Trata-se de um parque de 180 máquinas e demandaria mto tempo para atualizar em todos, fora bugs inesperados.
mas vlw a ajuda.


Caramba em, levaria dias.


7. Re: Instalar whisker menu no Debian (wheezy) [RESOLVIDO]

Emilio
Emilio Araujo

(usa Debian)

Enviado em 14/01/2016 - 17:59h

Lwkas escreveu:

Emilio Araujo escreveu:

Amigo Lwkas

Trata-se de um parque de 180 máquinas e demandaria mto tempo para atualizar em todos, fora bugs inesperados.
mas vlw a ajuda.


Caramba em, levaria dias.


Pois é, por isso é inviável


8. Re: Instalar whisker menu no Debian (wheezy)

Lucas Leonardi
lucasleon

(usa Debian)

Enviado em 14/01/2016 - 18:17h

Lwkas escreveu:

Seria interessante você aproveitar o problema de suporte e migrar para o Debian 8


Concordo nesse ponto com ~Lwkas, como a upgrade é rápida e gratuita, não faz sentido continuar com uma versão obsoleta do seu sistema, atualize para o Debian 8 e seja feliz :)

---------------------------------------------------------------------------------------
~lucasleon - técnico em TI / usuário de Debian, Linux Mint e Android


9. Re: Instalar whisker menu no Debian (wheezy) [RESOLVIDO]

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 14/01/2016 - 19:17h

Debian não tem suporte por 5 anos ???
http://linuxlifecycle.com/



10. Re: Instalar whisker menu no Debian (wheezy) [RESOLVIDO]

Luís Fernando C. Cavalheiro
lcavalheiro

(usa Slackware)

Enviado em 14/01/2016 - 22:58h

Não valeria fazer um apt-pinning pra ele chamar só o Xfce do Testing do Wheezy?
--
Luís Fernando Carvalho Cavalheiro
Dino®
Professor de Filosofia por paixão, halterocopista por gosto e moderador do VOL
Public GPG signature: 0x246A590B
Só Slackware é GNU/Linux e Patrick Volkerding é o seu Profeta


11. Re: Instalar whisker menu no Debian (wheezy) [RESOLVIDO]

Emilio
Emilio Araujo

(usa Debian)

Enviado em 15/01/2016 - 16:53h

lcavalheiro escreveu:

Não valeria fazer um apt-pinning pra ele chamar só o Xfce do Testing do Wheezy?
--
Luís Fernando Carvalho Cavalheiro
Dino®
Professor de Filosofia por paixão, halterocopista por gosto e moderador do VOL
Public GPG signature: 0x246A590B
Só Slackware é GNU/Linux e Patrick Volkerding é o seu Profeta


Vlw a dica amigo, vou testar numa VM pra ver os impactos. Porque hoje está funcionando perfeito o 7.8, mas com XFCE lembra o ambiente Win98, e com este menu agilizaria as coisas para os usuários.


12. Re: Instalar whisker menu no Debian (wheezy) [RESOLVIDO]

edps
edps

(usa Slackware)

Enviado em 15/01/2016 - 17:50h

Dá para instalar via PPA do Ubuntu:

amd64:
https://launchpad.net/~gottcode/+archive/ubuntu/gcppa/+files/xfce4-whiskermenu-plugin_1.5.2-0ppa1~pr...

ou

i386:
https://launchpad.net/~gottcode/+archive/ubuntu/gcppa/+files/xfce4-whiskermenu-plugin_1.5.2-0ppa1~pr...

Instale com:

$ sudo dpkg -i xfce4-whiskermenu-plugin_1.5.2-0ppa1~precise1_*.deb
$ sudo apt-get -f install


As dependências parecem coincidir com as do Wheezy:


Depends: libc6 (>= 2.1.3), libcairo2 (>= 1.2.4), libexo-1-0 (>= 0.5.0), libgarcon-1-0 (>= 0.1.2), libgcc1 (>= 1:4.1.1), libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.26.0), libgtk2.0-0 (>= 2.24.0), libstdc++6 (>= 4.1.1), libxfce4ui-1-0, libxfce4util4 (>= 4.3.99.2), xfce4-panel (>= 4.7.7)




01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts